Bug 865632 - RFE: Create Async push service for Source and target documents.
RFE: Create Async push service for Source and target documents.
Product: Zanata
Classification: Community
Component: Component-Maven, Usability (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0
Assigned To: Carlos Munoz
Ding-Yi Chen
Depends On:
  Show dependency treegraph
Reported: 2012-10-11 19:17 EDT by Carlos Munoz
Modified: 2012-11-07 01:18 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.8.0-SNAPSHOT (20121022-1434)
Doc Type: Enhancement
Doc Text:
Feature: The Push (source and target) features of the maven client have been enhanced to use an asynchronous mechanism. The client will initiate a push action and wait until the server has completed the action before proceeding. Furthermore, and to prevent conflicts, the client will now wait before starting to push if any other client is pushing the exact same document (document and locale in the case of translations). Reason: This new feature prevents conflicts when two users are pushing the same data simultaneously. It also prevents HTTP timeouts from the server when pushing large documents. Result (if any): The maven client is now able to push larger documents to the server without encountering timeout limits set by the http server (if there is one present). The client is also able to detect (and wait for) other clients pushing the same information.
Story Points: ---
Clone Of:
Last Closed: 2012-11-07 01:18:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Carlos Munoz 2012-10-11 19:17:10 EDT
Description of problem:
When pushing long source or target documents, the maven client might hit a restriction from the webserver while waiting for a response. In this case, the client will report an error, but the push will continue in the server. A subsequent attempt to push will result in race conditions with the two requests going for the same resources.

In order to solve this, a new asynchronous push service should be created where documents can be pushed and left with the server for processing. The client will then continuously poll until the server is done.

Additionally, the server should prevent two users from pushing the same document simultaneously.

Version-Release number of selected component (if applicable):

How reproducible:
With relatively large documents.
Comment 3 Ding-Yi Chen 2012-10-22 02:28:07 EDT
VERIFIED with Zanata version 1.8.0-SNAPSHOT (20121022-1434)
[INFO] client API version: 1.8.0-SNAPSHOT, server API version: 1.8.0-SNAPSHOT
Comment 4 Sean Flanigan 2012-11-07 01:18:29 EST
Fix released in Zanata 2.0.

Note You need to log in before you can comment on or make changes to this bug.